{% extends "web/base.html" %}
{% load static i18n %}
{% load formica %}

{% block page_title %}
    <h3 class="mt-4 content font-alt">
        <a href="{% url 'web:city-list' %}">
            ← {% translate "Back to cities" %}
        </a>
    </h3>
    {{ block.super }}
{% endblock page_title %}

{% block content %}
    <h1 class="mt-6 u-center headline-4 font-alt">
        {% translate "Create a new city from wikidata" %}
    </h1>

    <div class="content">
        <form
            action="{{ create_url }}"
            data-controller="wikidata"
            data-wikidata-info-url-value="{{ wikidata_info_url }}"
            data-action="input->wikidata#populate load@window->wikidata#populate"
            method="post">
            <div class="modal-body">
                {% form "web/formica/base_form.html" form %}
                    {% fields %}
                    <p data-wikidata-target="container" class="toast toast--info my-2" hidden>
                        {% translate "This reference URL is related to the city:" %}
                        <span data-wikidata-target="feedback"></span>
                    </p>
                    <p data-wikidata-target="error" class="toast toast--danger my-2" hidden>
                        {% translate "We cannot find the URL you submitted on Wikidata." %}
                    </p>
                {% endform %}
            </div>
            <div class="modal-footer">
                <div class="form-section u-flex u-justify-space-between">
                    <a href="#back" class="btn u-inline-block">
                        {% translate "Cancel" %}
                    </a>
                    <button class="btn-info u-inline-block" type="submit" data-wikidata-target="submit">
                        {% translate "Submit & save" %}
                    </button>
                </div>
            </div>
        </form>
    </div>
{% endblock %}
{% block extra_body %}
    <script src="{% static 'web/js/wikidata_controller.js' %}"></script>
    <script type="text/javascript">
        ;(() => {
            application.register('wikidata', Wikidata)
        })()
    </script>
{% endblock %}
